SDL_ConvertSurface(3)

NAME
SDL_ConvertSurface - Copy an existing surface to a new surface of the specified format.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Surface* SDL_ConvertSurface(SDL_Surface *surface, const SDL_PixelFormat *format);

DESCRIPTION
This function is used to optimize images for faster repeat blitting. This is accomplished by converting the original and storing the result as a new surface. The new, optimized surface can then be used as the source for future blits, making them faster.

FUNCTION PARAMETERS

surface
    the existing SDL_Surface
     structure to convert

format
    the SDL_PixelFormat
     structure that the new surface is optimized for

RETURN VALUE
Returns the new SDL_Surface
 structure that is created or NULL if it fails; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_ConvertSurfaceFormat(3), SDL_ConvertSurfaceFormatAndColorspace(3), SDL_CreatePixelFormat(3), SDL_DestroySurface(3)